edu.sc.seis.sod.subsetter

## Class LogicalSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter

- All Implemented Interfaces:
    SodElement, Subsetter
  Direct Known Subclasses:
    AvailableDataLogicalSubsetter, EventChannelLogicalSubsetter, EventLogicalSubsetter, EventStationLogicalSubsetter, EventVectorLogicalSubsetter, NetworkLogicalSubsetter, RequestLogical, StationLogicalSubsetter, VectorAvailableDataLogicalSubsetter, VectorRequestLogical

      public abstract class LogicalSubsetter
      extends java.lang.Object
      implements Subsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<Subsetter>` | `filterList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LogicalSubsetter()`
    `` | `LogicalSubsetter(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<java.lang.String>` | `getPackages()`
    `protected abstract Subsetter` | `getSubsetter(Subsetter s)`
    `java.util.List<Subsetter>` | `getSubsetters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filterList

          protected java.util.List<Subsetter> filterList

  - ### Constructor Detail

    - #### LogicalSubsetter

          protected LogicalSubsetter()

    - #### LogicalSubsetter

          public LogicalSubsetter(org.w3c.dom.Element config)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getSubsetters

          public java.util.List<Subsetter> getSubsetters()

    - #### getPackages

          public abstract java.util.List<java.lang.String> getPackages()

    - #### getSubsetter

          protected abstract Subsetter getSubsetter(Subsetter s)
                                             throws ConfigurationException

      Throws:
        `ConfigurationException`